Bug 421231 - Review Request: kde-l10n - Internationalization support for KDE
Review Request: kde-l10n - Internationalization support for KDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 06:35 EST by Ngo Than
Modified: 2008-02-19 09:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 09:59:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2007-12-12 06:35:24 EST
Spec URL: http://than.fedorapeople.org/kde-l10n.spec
SRPM URL: kde-l10m srpm is huge, cannot be uploaded on fedorapeople
Description: Internationalization support for KDE
Comment 1 Rex Dieter 2007-12-14 13:15:54 EST
I can review this.
Comment 2 Rex Dieter 2007-12-14 13:21:55 EST
Initial suggestions (consider these as SHOULD items):

1. Drop Epoch.  It's a new pkg, shouldn't need it.

2. BuildRequires: kdelibs-devel  ->  BuildRequires: kdelibs4-devel

3. Requires: kdelibs >= 6:%{version} -> Requires: kde-filesystem

4. for each subpkg, add
Provides: %{name}-<locale> = %{version}-%{release}

the latter 3 items similar to recent cvs updates to kde-i18n/devel.
Comment 3 Kevin Kofler 2007-12-14 13:59:12 EST
I'd say the Epoch one is a MUST (unless there's a repository out there which 
has the package with the Epoch), we don't want to inflate epochs for no good 
reason. ;-)
Comment 4 Ngo Than 2007-12-17 06:22:50 EST
the obove issues have been fixed.
Comment 5 Ngo Than 2007-12-18 06:27:23 EST
Rex, it's great if you could please review the new kde-l10n.spec file again. 
The above issues are now fixed. Thanks
Comment 6 Wei-Lun Chao 2007-12-20 09:25:56 EST
%package Chinese-Big5
should be better renamed to
%package Chinese-Traditional
Comment 7 Ngo Than 2007-12-20 09:52:44 EST
Wei-Lun, it's now fixed in new kde-l10n.spec. Thanks
Comment 8 Rex Dieter 2007-12-30 23:03:06 EST
Lacking a buildable pkg atm (to be addressed soon, hopefully), everything else
looks good.  APPROVED.
Comment 9 Kevin Kofler 2008-01-08 02:44:58 EST
New Package CVS Request
=======================
Package Name: kde-l10n
Short Description: Internationalization support for KDE
Owners: than,rdieter,kkofler,ltinkl
Branches:
InitialCC:
Cvsextras Commits: no
Comment 10 Kevin Fenzi 2008-01-08 11:44:51 EST
cvs done. 

Any particular reason for the cvsextras: no? 
Comment 11 Rex Dieter 2008-02-19 09:59:08 EST
built/included in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.